[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'CheckLst' (#lcl)

# TCustomCheckListBox.CheckAll

Sets the specified values for State, AllowGrayed, and ItemEnabled for all Items in Control.

## Declaration

Source position: checklst.pas line 76

`public procedure TCustomCheckListBox.CheckAll(`
`AState: TCheckBoxState;`
`aAllowGrayed: Boolean = True;`
`aAllowDisabled: Boolean = True`
`);`

## Arguments

`AState` |  | Check box state applied to Items in the control`
`aAllowGrayed` |  | AllowGrayed property value applied to Items in the control.
`aAllowDisabled` |  | ItemEnabled property value applied to Items in the control.

## Description

CheckAll is a procedure used to set the specified values for the State, AllowGrayed, and ItemEnabled properties for all Items in the control. The default value for both aAllowGrayed and aAllowDisabled is True. CheckAll iterates over the entries in the Items property and updates the State property to match the value in the arguments to the method.

Use Checked to set a specific item to a specified Boolean checked state value. Use State to get or set the check box state as a TCheckBoxState value. Use ItemEnabled to get or set the enabled state for a specific entry in Items.

## See also

TCustomCheckListBox.Checked |  | Provides indexed access to the Boolean Checked or Unchecked state for Items in the control.
TCustomCheckListBox.State |  | Provides indexed access to the TCheckBoxState for Items in the control.
TCustomCheckListBox.ItemEnabled |  | Provides indexed access to the enabled state for Items in the control.
TCustomCheckListBox.AllowGrayed |  | Indicates if the item can use the "grayed" (or unselectable) check box state.
TCheckBoxState
TCustomListBox.Items |  | The list of all items defined in the control.